# class Resolv::DNS::SvcParam::IPv4Hint

“ipv4hint” `SvcParam` – `IPv4` address hints

### Constants

KeyName
KeyNumber

### Attributes

addresses [R]

`Set` of `IPv4` addresses.

### Public Class Methods

new (addresses)
Source

    # File lib/resolv.rb, line 2011
    def initialize(addresses)
      @addresses = addresses.map {|address| IPv4.create(address) }
    end

Initialize “ipv4hint” ScvParam.